by r0t,der4444,cembo,VietMafia

Tuesday, March 28, 2006

ActiveCampaign SupportTrio 2.5 vuln.

###############################################
Vuln. discovered by : r0t
Date: 28 march 2006
vendor:http://www.activecampaign.com/
affected versions: 2.50.2
###############################################


Vuln. description:

ActiveCampaign SupportTrio contains a flaw that allows a remote cross site scripting attack. This flaw exists because
input passed to the KnowledgeBase search module field parameters when performing a search isn't properly sanitised before being returned to the user. This can be exploited to execute arbitrary HTML and script code in a user's browser session in context of an affected site.



+


attacker (manulally request) with fatal errorĀ“s gets
full install. path...:

/supporttrio/index.php?action=kb&article=[r0t]
/supporttrio/index.php?action=kb&print=[r0t]
/supporttrio/modules/KB/pdf.php?category=[r0t]


###############################################
Solution:
Edit the source code to ensure that input is properly sanitised.
###############################################
More information @ unsecured-systems.com/forum/

0 Comments:

Post a Comment

<< Home

 
Copyright (c) 2006 Pridels Sec Crew